commit: a6a6bb1ada57fd1f63b9a5c4edbe580312976ebb
Author: Thomas Sachau <tommy <AT> gentoo <DOT> org>
AuthorDate: Thu Dec 26 12:08:04 2019 +0000
Commit: Thomas Sachau <tommy <AT> gentoo <DOT> org>
CommitDate: Thu Dec 26 12:08:04 2019 +0000
URL:
https://gitweb.gentoo.org/proj/multilib-portage.git/commit/?id=a6a6bb1a
Version bump, drop old
Signed-off-by: Thomas Sachau <tommy <AT> gentoo.org>
...portage-2.3.48.ebuild => portage-2.3.83.ebuild} | 72 +++++++++++-----------
1 file changed, 37 insertions(+), 35 deletions(-)
diff --git a/sys-apps/portage/portage-2.3.48.ebuild
b/sys-apps/portage/portage-2.3.83.ebuild
similarity index 79%
rename from sys-apps/portage/portage-2.3.48.ebuild
rename to sys-apps/portage/portage-2.3.83.ebuild
index c7e23d65e..7105fe198 100644
--- a/sys-apps/portage/portage-2.3.48.ebuild
+++ b/sys-apps/portage/portage-2.3.83.ebuild
@@ -1,25 +1,26 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=5
+DISTUTILS_USE_SETUPTOOLS=no
PYTHON_COMPAT=(
pypy
- python3_4 python3_5 python3_6 python3_7
+ python3_5 python3_6 python3_7 python3_8
python2_7
)
PYTHON_REQ_USE='bzip2(+),threads(+)'
-inherit distutils-r1 git-2 multilib systemd
+inherit distutils-r1 git-2 linux-info multilib systemd prefix
EGIT_REPO_URI="git://anongit.gentoo.org/proj/portage.git"
EGIT_BRANCH="multilib"
-EGIT_COMMIT="cb6737033d90f57168ed12e4b0cec8711b311b36"
+EGIT_COMMIT="a757c986855dee5574a1b773f45d3d976d55edd0"
DESCRIPTION="Portage is the package management and distribution system for
Gentoo"
HOMEPAGE="https://wiki.gentoo.org/wiki/Project:Portage"
LICENSE="GPL-2"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc
~x86 ~amd64-fbsd"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv
~s390 ~sh ~sparc ~x86"
SLOT="0"
IUSE="build doc epydoc gentoo-dev +ipc +native-extensions +rsync-verify
selinux xattr"
@@ -29,7 +30,11 @@ DEPEND="!build? ( $(python_gen_impl_dep 'ssl(+)') )
>=sys-apps/sed-4.0.5 sys-devel/patch
doc? ( app-text/xmlto ~app-text/docbook-xml-dtd-4.4 )
>=sys-apps/abi-wrapper-1.0-r6
- epydoc? ( >=dev-python/epydoc-2.0[$(python_gen_usedep 'python2*')] )"
+ epydoc? (
+ $(python_gen_cond_dep '
+ >=dev-python/epydoc-2.0[${PYTHON_USEDEP}]
+ ' 'python2*')
+ )"
# Require sandbox-2.2 for bug #288863.
# For xattr, we can spawn getfattr and setfattr from sys-apps/attr, but that's
# quite slow, so it's not considered in the dependencies as an alternative to
@@ -47,7 +52,7 @@ RDEPEND="
app-shells/bash:0[readline]
>=app-admin/eselect-1.2
$(python_gen_cond_dep 'dev-python/pyblake2[${PYTHON_USEDEP}]' \
- python{2_7,3_4,3_5} pypy)
+ python{2_7,3_5} pypy)
rsync-verify? (
>=app-portage/gemato-14[${PYTHON_USEDEP}]
>=app-crypt/openpgp-keys-gentoo-release-20180706
@@ -58,6 +63,7 @@ RDEPEND="
elibc_glibc? ( >=sys-apps/sandbox-2.2 )
elibc_musl? ( >=sys-apps/sandbox-2.2 )
elibc_uclibc? ( >=sys-apps/sandbox-2.2 )
+ kernel_linux? ( sys-apps/util-linux )
>=app-misc/pax-utils-0.1.17
selinux? ( >=sys-libs/libselinux-2.0.94[python,${PYTHON_USEDEP}] )
xattr? ( kernel_linux? (
@@ -67,6 +73,7 @@ RDEPEND="
) )
!<app-admin/logrotate-3.8.0
>=sys-apps/abi-wrapper-1.0-r6
+ !<app-portage/gentoolkit-0.4.6
!<app-portage/repoman-2.3.10"
PDEPEND="
!build? (
@@ -78,6 +85,12 @@ PDEPEND="
REQUIRED_USE="epydoc? ( $(python_gen_useflags 'python2*') )"
+pkg_pretend() {
+ local CONFIG_CHECK="~IPC_NS ~PID_NS ~NET_NS"
+
+ check_extra_config
+}
+
pkg_setup() {
use epydoc && DISTUTILS_ALL_SUBPHASE_IMPLS=( python2.7 )
}
@@ -92,7 +105,7 @@ python_prepare_all() {
die "failed to patch create_depgraph_params.py"
einfo "Enabling additional FEATURES for gentoo-dev..."
- echo 'FEATURES="${FEATURES} ipc-sandbox network-sandbox
strict-keepdir"' \
+ echo 'FEATURES="${FEATURES} strict-keepdir"' \
>> cnf/make.globals || die
fi
@@ -116,19 +129,14 @@ python_prepare_all() {
if use build || ! use rsync-verify; then
sed -e '/^sync-rsync-verify-metamanifest/s|yes|no|' \
+ -e '/^sync-webrsync-verify-signature/s|yes|no|' \
-i cnf/repos.conf || die "sed failed"
fi
if [[ -n ${EPREFIX} ]] ; then
einfo "Setting portage.const.EPREFIX ..."
- sed -e
"s|^\(SANDBOX_BINARY[[:space:]]*=[[:space:]]*\"\)\(/usr/bin/sandbox\"\)|\\1${EPREFIX}\\2|"
\
- -e
"s|^\(FAKEROOT_BINARY[[:space:]]*=[[:space:]]*\"\)\(/usr/bin/fakeroot\"\)|\\1${EPREFIX}\\2|"
\
- -e
"s|^\(BASH_BINARY[[:space:]]*=[[:space:]]*\"\)\(/bin/bash\"\)|\\1${EPREFIX}\\2|"
\
- -e
"s|^\(MOVE_BINARY[[:space:]]*=[[:space:]]*\"\)\(/bin/mv\"\)|\\1${EPREFIX}\\2|" \
- -e
"s|^\(PRELINK_BINARY[[:space:]]*=[[:space:]]*\"\)\(/usr/sbin/prelink\"\)|\\1${EPREFIX}\\2|"
\
- -e
"s|^\(EPREFIX[[:space:]]*=[[:space:]]*\"\).*|\\1${EPREFIX}\"|" \
- -i lib/portage/const.py || \
- die "Failed to patch portage.const.EPREFIX"
+ hprefixify -e
"s|^(EPREFIX[[:space:]]*=[[:space:]]*\").*|\1${EPREFIX}\"|" \
+ -w "/_BINARY/" lib/portage/const.py
einfo "Prefixing shebangs ..."
while read -r -d $'\0' ; do
@@ -137,17 +145,11 @@ python_prepare_all() {
sed -i -e "1s:.*:#!${EPREFIX}${shebang:2}:"
"$REPLY" || \
die "sed failed"
fi
- done < <(find . -type f -print0)
+ done < <(find . -type f ! -name etc-update -print0)
- einfo "Adjusting make.globals ..."
- sed -e "s|\(/usr/portage\)|${EPREFIX}\\1|" \
- -e
"s|^\(PORTAGE_TMPDIR=\"\)\(/var/tmp\"\)|\\1${EPREFIX}\\2|" \
- -i cnf/make.globals || die "sed failed"
+ einfo "Adjusting make.globals, repos.conf and etc-update ..."
+ hprefixify cnf/{make.globals,repos.conf} bin/etc-update
- einfo "Adjusting repos.conf ..."
- sed -e "s|^\(location = \)\(/usr/portage\)|\\1${EPREFIX}\\2|" \
- -e "s|^\(sync-openpgp-key-path =
\)\(.*\)|\\1${EPREFIX}\\2|" \
- -i cnf/repos.conf || die "sed failed"
if use prefix-guest ; then
sed -e "s|^\(main-repo = \).*|\\1gentoo_prefix|" \
-e "s|^\\[gentoo\\]|[gentoo_prefix]|" \
@@ -232,16 +234,16 @@ python_install_all() {
}
pkg_preinst() {
- # comment out sanity test until it is fixed to work
- # with the new PORTAGE_PYM_PATH
- #if [[ $ROOT == / ]] ; then
- ## Run some minimal tests as a sanity check.
- #local test_runner=$(find "${ED}" -name runTests)
- #if [[ -n $test_runner && -x $test_runner ]] ; then
- #einfo "Running preinst sanity tests..."
- #"$test_runner" || die "preinst sanity tests failed"
- #fi
- #fi
+ python_setup
+ python_export PYTHON_SITEDIR
+ [[ -d ${D%/}${PYTHON_SITEDIR} ]] || die "${D%/}${PYTHON_SITEDIR}: No
such directory"
+ env -u DISTDIR \
+ -u PORTAGE_OVERRIDE_EPREFIX \
+ -u PORTAGE_REPOSITORIES \
+ -u PORTDIR \
+ -u PORTDIR_OVERLAY \
+
PYTHONPATH="${D%/}${PYTHON_SITEDIR}${PYTHONPATH:+:${PYTHONPATH}}" \
+ "${PYTHON}" -m portage._compat_upgrade.default_locations || die
# elog dir must exist to avoid logrotate error for bug #415911.
# This code runs in preinst in order to bypass the mapping of